# ACE_Dynamic_Service< TYPE > Class Template Reference

Provides a general interface to retrieve arbitrary objects from the ACE service repository. More...

`#include <Dynamic_Service.h>`

Inheritance diagram for ACE_Dynamic_Service< TYPE >:

[legend]
Collaboration diagram for ACE_Dynamic_Service< TYPE >:

[legend]
List of all members.

## Static Public Member Functions

TYPE * | instance (const ACE_TCHAR *name)
| Return instance using name to search the Service_Repository.

## Detailed Description

### template<class TYPE>
class ACE_Dynamic_Service< TYPE >

Provides a general interface to retrieve arbitrary objects from the ACE service repository.

Uses "name" for lookup in the ACE service repository. Obtains the object and returns it as the appropriate type.

## Member Function Documentation

template<class TYPE>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL TYPE * ACE_Dynamic_Service< TYPE >::instance | ( | const ACE_TCHAR * | name | ) | `[static]`

| Return instance using name to search the Service_Repository. Reimplemented from ACE_Dynamic_Service_Base.

The documentation for this class was generated from the following files:

- Dynamic_Service.h
- Dynamic_Service.cpp